

	rem Gets the camera list from the GCFC.log file in the CapturedFiles dir.
	rem The full path to the GCFC.log file is passed as argv1.
	rem Returns: bat_camera_list
:GETCAMERALIST [in] "!bat_GCFC_tempfile!"
set bat_batchfile_temp=!bat_batchfile!
set bat_batchfile=GetCameraList.bat
!bat_pushlog! [CALL !bat_batchfile!:GETCAMERALIST] %*

	set bat_camera_list=
	if not exist "%~1" (
		goto :GETCAMERALIST_END
	)

	for /f "usebackq tokens=*" %%a in (`type "%~1"`) do (
		if not defined bat_camera_list (
			set bat_camera_list=0!%%a
		) else (
			set bat_camera_list=!bat_camera_list!0%%a
		)
	)

:GETCAMERALIST_END
!bat_poplog! [RETURN !bat_matchfile!:GETCAMERALIST] [bat_camera_list=!bat_camera_list!]
set bat_batchfile=!bat_batchfile_temp!
set bat_batchfile_temp=
!bat_log!
!bat_return!

