  @echo off
setlocal enabledelayedexpansion enableextensions

rem
rem call "C:\CAMS\7za.exe" a -r -tzip "c:\CAMS\Submitted\2012_04_20_213.zip" "c:\CAMS\Submitted\2012_04_20_213\213\*.*"


	echo =============================================================
	echo %date% %time% - %~dpnx0 [%*]
:CHECKHELP
	set bat_vers=1.0

	echo.%*|find /i "/?">nul:
	if %errorlevel% equ 0 goto :HELP
	echo.%*|find /i "/h">nul:
	if %errorlevel% equ 0 goto :HELP
	echo.%*|find /i "/help">nul:
	if %errorlevel% equ 0 goto :HELP
	echo.
goto :SETUP

	Flowchart:

	New changes 09/21/2011:
		
	
	
:SETUP
	
	call "%~dp0AutoCams.setup.bat" "%~dpnx0"
	call "%~dp0indent_setup.bat"

	call "!bat_exedir!\ReadParams.bat"

	!bat_echolog!
	!bat_echolog! =============================================================
	!bat_echolog! %date% %time% - Version: !bat_vers! - %~dpnx0 [%*]
	!bat_echolog! [!bat_batchfile!:SETUP %*]  Please wait...
	!bat_pushecho!
	
	set bat_returncode=0
	call :PARSEARGS %*
goto :MAIN

	
:PARSEARGS
!bat_echolog! call :PARSEARGS %*
!bat_echolog! '     :PARSEARGS %1, %~dp1, %~nx1

	set bat_recurse=
	echo.%*|find /i " -r">nul:
	if %errorlevel% equ 0 (
		set bat_recurse=-r
		shift
	)

	set bat_dest=%~1
	set bat_src=%~2
	
!bat_echolog! return-:PARSEARGS [recurse=!bat_recurse!, zip=!bat_dest!, src=!bat_src!]
%return%



REM ======================= MAIN ===================================
REM ======================= MAIN ===================================
REM ======================= MAIN ===================================
REM ======================= MAIN ===================================
REM ======================= MAIN ===================================
REM ======================= MAIN ===================================
REM ======================= MAIN ===================================

:MAIN
	echo ....call "!bat_exedir!\7za.exe" a !bat_recurse! -tzip "!bat_dest!" "!bat_src!"
	         call "!bat_exedir!\7za.exe" a !bat_recurse! -tzip "!bat_dest!" "!bat_src!"

goto :DONE






:CLEARSCREEN
	for /l %%A in (1,1,50) do (echo.)
%bat_return%



:GETFILECOUNT [out] bat_capturedcount [in] "dir"
!bat_echolog! call :GETFILECOUNT "%~1"  "%~2"
	set %~1=0
	for /f "usebackq tokens=*" %%a in (`dir "%~2" /b /a-d^|find /i /c ".bin"`) do (
		title set %1=%%a
		      set %1=%%a
	)
!bat_echolog! return-:GETFILECOUNT [%~1=!%1!]
%bat_return%



:FORMATDATE [out] bat_dateinput [in] bat_captureddate
	set bat_temp=%2
	set %1=!bat_temp:~5,2!/!bat_temp:~-2!/!bat_temp:~0,4!
%bat_return%





:SEARCHFORDIR [out] bat_retval [out] bat_retval2[in]  [out] bat_retval3 bat_basedir
	rem bat_retval	is a fully qualified directory name
	rem bat_retval2 is that path not including the last directory name of the path
	rem bat_retval3 is the last directory name in the path
	
	echo :SEARCHFORDIR "%~1" 
	set bat_retval= 
	for /f "usebackq tokens=*" %%a in (`dir "%~1" /s/b /ad`) do (
		if /i "%%~nxa" neq "movies" (
			if /i "%%~nxa" neq "displayJPEGS" (
				if /i "%%~nxa" neq "gefdat" (
					set bat_retval=%%a
					set bat_retval2=%%~dpa::
					set bat_retval2=!bat_retval2:\::=!
					set bat_retval2=!bat_retval2:::=!
					set bat_retval3=%%~nxa
				)
			)
		)
	)

echo return-:SEARCHFORDIR: bat_retval=!bat_retval!, bat_retval2=!bat_retval2!, bat_retval3=!bat_retval3!
%bat_return%




:SEVENZIP
!bat_echolog! call :SEVENZIP
	set bat_retval=0
	!bat_echolog! call "!bat_exedir!\7za.exe" a -r -tzip "!bat_targetlocation!\CAMS\Submitted\!bat_tempdir!!bat_tempcounter!.zip" "!bat_tempsrc!\*.*"
	              call "!bat_exedir!\7za.exe" a -r -tzip "!bat_targetlocation!\CAMS\Submitted\!bat_tempdir!!bat_tempcounter!.zip" "!bat_tempsrc!\*.*"
	              set bat_retval=!errorlevel!

	              if !bat_retval! neq 0 (
	              	set bat_recent_error_msg=16.ERROR - Failed to create the zip file...
	              	!bat_echolog! '    !bat_recent_error_msg!
	              	!bat_echolog! '    call "!bat_exedir!\7za.exe" a -r -tzip "!bat_targetlocation!\CAMS\Submitted\!bat_tempdir!!bat_tempcounter!.zip" "!bat_tempsrc!\*.*" 
	              	!bat_echolog! '    errorlevel=!bat_retval!

			if !bat_retval! equ 1 (
				set bat_recent_error_msg=!bat_recent_error_msg!. Warning [Non fatal error[s]]. For example, one or more files were locked by another application, so they were not compressed.
			) else (
				if !bat_retval! equ 2 (
					set bat_recent_error_msg=!bat_recent_error_msg!. Fatal error
				) else (
					if !bat_retval! equ 7 (
						set bat_recent_error_msg=!bat_recent_error_msg!. Command line error
					) else (
						if !bat_retval! equ 8 (
							set bat_recent_error_msg=!bat_recent_error_msg!. Not enough memory for operation.
						) else (
							set bat_recent_error_msg=!bat_recent_error_msg!. User stopped the program.
						)
					)
				)
			)

			!bat_echolog! !bat_recent_error_msg!
			!bat_echolog!

	              ) else (
	              	set bat_recent_error_msg=16.SUCCESS - created "!bat_targetlocation!\CAMS\Submitted\!bat_tempdir!!bat_tempcounter!.zip"
	              	!bat_echolog! '    !bat_recent_error_msg!
	              )
:SEVENZIP_END
!bat_echolog! return-:SEVENZIP [errorlevel=!bat_retval! !bat_recent_error_msg!]
%bat_return%





	rem 1u. Command Prompt *****************************************
:CMDPROMPT
	cd /d !bat_targetlocation!
	echo start "CAMS prompt" /d "!bat_exedir!" /i "!windir!\system32\cmd.exe"
	     start "CAMS prompt" /d "!bat_exedir!" /i "!windir!\system32\cmd.exe"
	cd /d !bat_exedir!

%bat_return%




	rem u4. CheckFreeSpace *****************************************
:CHECKFREESPACE
	set bat_choice=
	set /P bat_choice=Enter drive [!bat_targetlocation:~0,2!]: 
	if /i "!bat_choice!" equ "" (set bat_choice=!bat_targetdrive:~0,2!)
	set bat_choice=!bat_choice::=!
	set bat_choice=!bat_choice!:

	echo call CheckFreeSpace.bat !bat_choice!
	call CheckFreeSpace.bat !bat_choice!
	pause
%bat_return%



	rem u5. ListDrives *********************************************
:LISTDRIVES
	echo call ListDrives.bat
	call ListDrives.bat
	pause
%bat_return%




:VARIABLES
	set bat_
	pause
%return%



:ECHOLOG
	rem Echo to the console and to the bat_logfile
	set bat_echolog_temp=
	set bat_echolog_temp=%*
	
	if not defined bat_echolog_temp (
		echo.>>"!bat_logfile!"
		echo.
		%bat_return%
	)

	set bat_echolog_temp=%*

	echo %bat_echolog_temp%>>"!bat_logfile!"
	echo %bat_echolog_temp%
%bat_return%


:LOG
	rem Echo only to the bat_logfile.
	set bat_echolog_temp=
	set bat_echolog_temp=%*
	
	if not defined bat_echolog_temp (
		echo.>>"!bat_logfile!"
		%bat_return%
	)

	set bat_echolog_temp=%*

	echo %bat_echolog_temp%>>"!bat_logfile!"
%bat_return%


:ECHOONLY
	rem Echo to the console
	set bat_echolog_temp=
	set bat_echolog_temp=%*
	
	if not defined bat_echolog_temp (
		echo.
		%bat_return%
	)

	set bat_echolog_temp=%*

	echo %bat_echolog_temp%
%bat_return%








rem call "C:\CAMS\7za.exe" a -r -tzip "c:\CAMS\Submitted\2012_04_20_213.zip" "c:\CAMS\Submitted\2012_04_20_213\213\*.*"


:HELP
	@echo off
	echo.
	echo %~nx0
	echo.
	echo Usage: %~nx0 [-r] "target zip file" "source file spec"
	echo.
	echo Uses 7za.exe command line utility to zip the specified files.
	echo.
	echo The optional -r command line option causes it to recurse subdirectories. 
	echo.
	echo.  Wildcards or filenames with spaces must be quoted:
	echo.    "Dir\Program Files\*" 
	echo.    Dir\"Program files"\*
	echo.
	echo.  Doesn't follow the old *.* to mean any/all files. Treats *.* as matching the name
	echo.  of any file that has an extension. To process all files, you must use the
	echo.  * wildcard.
	echo.
	echo.  Backslash ('\') at the end of a path means a directory.  Without the backslash at
	echo.  the end of the path, the path can refer either to a file or a directory.
	echo.
	echo Example:
	echo        %~nx0 "test.zip" "test*.*"
	echo.
exit /b 9



:DONE
	echo Done with %0 %*
	echo.
