 @echo off
setlocal enableextensions enabledelayedexpansion

echo %~dp0

:SETUP
    echo.%*|find /i "/?">nul:
    if %errorlevel% equ 0 goto :HELP
    echo.%*|find /i "/h">nul:
    if %errorlevel% equ 0 goto :HELP
    echo.%*|find /i "/help">nul:
    if %errorlevel% equ 0 goto :HELP

	call "%~dp0AutoCams.setup.bat" "%~dpnx0"
	call "%~dp0indent_setup.bat"

	call "!bat_exedir!\ReadParams.bat"

	!bat_echolog!
	!bat_echolog! =============================================================
	!bat_echolog! %date% %time% - Version: !bat_vers! - %~dpnx0 [%*]
	!bat_echolog! [!bat_batchfile!:SETUP %*]  Please wait...
	!bat_pushecho!
	

	wmic /?>nul:
	if %errorlevel% equ 9009 (
		exit /b
		set bat_free=9999999
		set bat_size=9999999
		set bat_freeMB=999999999
	)

	rem set default test duration at 14 hours
	set bat_durtotalseconds=%~2
	set bat_targetlocation=!bat_exedir!
	
	if "!bat_durtotalseconds!" equ "" (
		set /a bat_durtotalseconds=!bat_AUTOCAMS.diskspacewarning.hours.per.night!*3600
	)

	set bat_warningfile=%~0.warn.txt
	set bat_tempfile=%~0.junk.txt
	
	set bat_temp3=!bat_exedir!
	
	if "%~1" neq "" (
		set bat_targetlocation=%~dpnx1
		rem remove trailing backslash
		set bat_temp3=%~dp1
		set bat_temp2=!bat_temp3:~0,-1!
	)
	
	
	set bat_targetdrive=!bat_targetlocation:~0,2!
	


	rem Note: We have to do it this way because WMIC outputs unicode and
	rem FINDSTR is not compatible with unicode strings.
	echo '    call wmic /node:localhost logicaldisk where "name='!bat_targetdrive!'" get Size,FreeSpace /format:csv^>"!bat_tempfile!"
	          call wmic /node:localhost logicaldisk where "name='!bat_targetdrive!'" get Size,FreeSpace /format:csv>"!bat_tempfile!"
	for /f "usebackq delims=, tokens=1-2* skip=1" %%a in (`type "!bat_tempfile!"^|findstr /r /c:","`) do (
		set bat_free=%%b
		set bat_size=%%c
		if "!bat_free!" neq "" (
			set bat_freeMB=!bat_free:~0,-6!
		)
	)





:CHECK
	set /a bat_estCapFiles=!bat_durtotalseconds!0000/85333
	set /a bat_estSizeMB=!bat_estCapFiles!*11723/10000
	if defined bat_CAPTURE.number.of.cameras (
		set /a bat_estSizeMB=bat_estSizeMB * !bat_CAPTURE.number.of.cameras!
	)
	set /a bat_14days=!bat_estSizeMB!*!bat_AUTOCAMS.diskspacewarning.days!
	set /a bat_sizediff=!bat_14days!-!bat_freeMB!
	
	REM CONVERT MB TO GB
		call "str_math.bat" -command "[math]::round(!bat_estSizeMB! / 1024,3)"
		set bat_estSizeMB=!bat_retval!

		call "str_math.bat" -command "[math]::round(!bat_sizediff! / 1024,3)"
		set bat_sizediff=!bat_retval!


	if !bat_14days! gtr !bat_freeMB! (
		echo call :GETWINDOWSVER
		call :GETWINDOWSVER

		call "str_math.bat" -command "[math]::round(!bat_freeMB! / 1024,3)"
		set bat_freeMB=!bat_retval!

		call "str_math.bat" -command "[math]::round(!bat_14days! / 1024,3)"
		set bat_14days=!bat_retval!

		ECHO ********* WARNING! ************>!bat_warningfile!
		echo    You only have !bat_freeMB! GB free on drive !bat_targetdrive!. Within the >>!bat_warningfile!
		echo    next !bat_AUTOCAMS.diskspacewarning.days! days, you will require !bat_14days! GB at >>!bat_warningfile!
		echo    !bat_estSizeMB! GB per night [for !bat_CAPTURE.number.of.cameras! cameras].  You will need to free up>>!bat_warningfile!
		echo    !bat_sizediff! GB ASAP or the capture will eventually fail.>>!bat_warningfile!
		echo .>>!bat_warningfile!
		echo    Tips ^(!bat_winver!^):>>!bat_warningfile!
		echo .      a^) Try emptying the recycle bin >>!bat_warningfile!
		if "bat_winver" lss "6.0" (
			echo .           ^(rd /s !bat_targetdrive!\recycler^)>>!bat_warningfile!
		) else (
		    echo .           ^(rd /s !bat_targetdrive!\$Recycle.Bin^)>>!bat_warningfile!
		)
		echo .      b^) Use Disk Cleanup to free up temporary space and other areas.>>!bat_warningfile!
		echo .      c^) Move "!bat_targetlocation!CAMS\SubmissionFiles" to an external hard drive.>>!bat_warningfile!
		echo .      d^) Move "!bat_targetlocation!CAMS\CapturedFiles" to an external hard drive.>>!bat_warningfile!
		echo .      e^) Use AutoCams option 61 to archive some SubmissionFiles directories. >>!bat_warningfile!
		echo .>>!bat_warningfile!
		!bat_logexec! type "!bat_warningfile!"
		echo start /max notepad "!bat_warningfile!"
		     start /max notepad "!bat_warningfile!"
	) else (
		call "str_math.bat" -command "[math]::round(!bat_freeMB! / 1024,3)"
		set bat_freeMB=!bat_retval!

		call "str_math.bat" -command "[math]::round(!bat_14days! / 1024,3)"
		set bat_14days=!bat_retval!

		!bat_echolog!     PASSED
		!bat_echolog!        You have !bat_freeMB! GB free on drive !bat_targetdrive!. This run will
		!bat_echolog!        require only !bat_estSizeMB! GB per night [for !bat_CAPTURE.number.of.cameras! cameras].  The requirements over the 
		!bat_echolog!        next !bat_AUTOCAMS.diskspacewarning.days! days is: !bat_14days! GB
		!bat_echolog!        You should not encounter disk space issues during the run in the 
		!bat_echolog!        next !bat_AUTOCAMS.diskspacewarning.days!.
		!bat_echolog!
	)

	start /w wait 5
	if exist "!bat_warningfile!" (
		if defined bat_warningfile (
			del "!bat_warningfile!"
		) else (
			!bat_echolog! ERROR [!bat_batchfile!:CHECK] Dangerous command: del "!bat_warningfile!"
		)
	)
	if exist "!bat_tempfile!" (
		if defined bat_tempfile (
			del "!bat_tempfile!"
		) else (
			!bat_echolog! ERROR [!bat_batchfile!:CHECK] Dangerous command: del "!bat_tempfile!"
		)
	)
goto :EOF

:GETWINDOWSVER
	echo :GETWINDOWVER wmic os get version, caption, windowsdirectory /format:list^|findstr /r /c:"=" ... "!bat_tempfile!"
	wmic os get version, windowsdirectory /format:csv|findstr /r /c:",">"!bat_tempfile!"
	type "!bat_tempfile!"
	for /f "usebackq delims=, tokens=1-4*" %%a in (`type "!bat_tempfile!"`) do (
		if "%%b" gtr "!" (
			set bat_winver=%%b
		)
	)
goto :EOF

:HELP
    echo     %~nx0          &rem batch file name
    echo.
    echo     Usage: %~nx0 [date]" [/?]
    echo.
    echo     If you specify a date, it can give you the required disk space
    echo     for that date.  If you leave the date off, it will estimate
    echo     based on 14 hours of nighttime caputuring.
exit /b
