  @echo off
setlocal enabledelayedexpansion enableextensions
rem


:CHECKHELP

	echo.%*|find /i "/?">nul:
	if %errorlevel% equ 0 goto :HELP
	echo.%*|find /i "/h">nul:
	if %errorlevel% equ 0 goto :HELP
	echo.%*|find /i "/help">nul:
	if %errorlevel% equ 0 goto :HELP
	echo.
goto :SETUP

	Flowchart:

	New changes 04/28/2012:
		
	
	
:SETUP
	call "%~dp0AutoCams.setup.bat" "%~dpnx0"
	call "%~dp0indent_setup.bat"

	call "!bat_exedir!\ReadParams.bat"

	!bat_echolog!
	!bat_echolog! =============================================================
	!bat_echolog! %date% %time% - Version: !bat_vers! - %~dpnx0 [%*]
	!bat_echolog! [!bat_batchfile!:SETUP %*]  Please wait...
	!bat_pushecho!
	
	
	set bat_returncode=0


	call :PARSEARGS %*
	if !bat_returncode! neq 0 goto :HELP

goto :MAIN

	
:PARSEARGS
!bat_echolog! call :PARSEARGS %*
	set bat_returncode=0

	if /i "%~1" equ "" (
		set bat_returncode=1
		echo     You must specify a source directory
	)

	set bat_confirmedfilesdir=%~dp1::
	set bat_confirmedfilesdir=!bat_confirmedfilesdir:\::=!
	set bat_confirmedfilesdir=!bat_confirmedfilesdir:::=!
	set bat_detectfileconf=%~1
	
	set bat_captureddate_simple=!bat_captureddate:~0,4!!bat_captureddate:~5,2!!bat_captureddate:~8,2!


!bat_echolog! return-:PARSEARGS [returncode=!bat_returncode!, "!bat_confirmedfilesdir!"]
!bat_log!
!bat_return!


REM ======================= MAIN ===================================

:MAIN
	if exist "!bat_detectfileconf!" (
		rem Sort by date and get the newest one
		!bat_pushecho! for /f "usebackq tokens=*" ..a in ^(`dir "!bat_detectfileconf!" /a-d /od /s/b`^) do ^(
		for                /f "usebackq tokens=*" %%a in  (`dir "!bat_detectfileconf!" /a-d /od /s/b`) do (
			set bat_detectfileconf=%%a
			set bat_detectfile2=%%~nxa
		)
		!bat_popecho! !bat_detectfile!, !bat_detectfile2!

		!bat_logexec! "!bat_exedir!\FTP_MeteorMovies.exe" 1 "!bat_detectfileconf!"<"CRLF.inp"

		!bat_echolog!
		!bat_logexec! dir "!bat_confirmedfilesdir!\CAM???_Meteors_!bat_captureddate_simple!*.avi" /od /b

	    if exist "!bat_confirmedfilesdir!\CAM???_Meteors_!bat_captureddate_simple!*.avi" (
			!bat_logexec! call "!bat_exedir!\7zip.bat" "!bat_confirmedfilesdir!\MeteorMovie_!bat_captureddate!.avi.zip" "!bat_confirmedfilesdir!\CAM???_Meteors_!bat_captureddate_simple!*.avi"
			!bat_echolog!
			
			if defined bat_confirmedfilesdir (
				!bat_logexec! del /q "!bat_confirmedfilesdir!\CAM???_Meteors_!bat_captureddate_simple!*.avi"
			) else (
				!bat_echolog! ERROR [!bat_batchfile!:MAIN] Dangerous command: del /q "!bat_confirmedfilesdir!\CAM???_Meteors_!bat_captureddate_simple!*.avi"
			)
	    )
	) else (
		echo '    ERROR - Can't find: "!bat_confirmedfilesdir!\!bat_detectfile!"
	)
goto :DONE











:HELP
	@echo off
	echo.
	echo %~nx0
	echo.
	echo Usage: %~nx0 "^<source dir^>"
	echo.
	echo Produces an AVI file based on the FF files and the FTPdetectinfo.txt
	echo file found in the ConfirmedFiles directory for the currently selected
	echo date. 
	echo.
	echo The output is saved in the source directory.
	echo.
	echo.
exit /b 9


:DONE
	!bat_popecho!
	!bat_echolog! Done with %0 %*
	!bat_echolog! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
