
	!bat_log!
	!bat_log! =================================================
	!bat_pushlog! [CALL RedirectLogs.bat] [%*]
	!bat_log!
	!bat_log! Before redirecting, the Current bat_logdir=!bat_logdir!
	!bat_log! Before redirecting, the Current bat_logfile=!bat_logfile!
	!bat_log! Before redirecting, the Current bat_logfile_full=!bat_logfile_full!
		
	!bat_logexeclog! set bat_redirect_currentdir=!bat_logdir!
	!bat_logexeclog! set bat_redirect_sourcedir=!bat_logdir!
	!bat_logexeclog! set bat_redirect_destdir=%~2
		
		
	if not defined bat_redirect_sourcedir (
		!bat_echolog!	!bat_log! Changing logdir to: "!bat_redirect_destdir!"


		if not exist "%~dp0Logs" (
			md "%~dp0Logs"
		)

		set bat_logfile=!bat_logdir!\!bat_logfile_name!.log
		set bat_logfile_full=!bat_logdir!\AutoCams_full.log
		goto :DONE
	)


		if /i "!bat_redirect_destdir:~0,1!" equ "_" (
			rem If the first character is "_", then bad parameters were given. In that
			rem case, it will default to the "..\Logs" dir for safe keeping. 
			rem Likewise, if there are no arguments, then it will default to 
			rem the "..\Logs" dir

			!bat_logexeclog! set bat_redirect_destdir=
		)
		
		if /i "!bat_redirect_destdir!" equ "" (
			rem If no arguments, then the "%~dp0Logs" dir is the default. 
			!bat_logexeclog! set bat_logdir=%~dp0Logs

		) else (
			if /i "%~2" neq "" (

				!bat_logexeclog! set bat_redirect_sourcename=%~n1&	rem datetime

				!bat_log! Changing logdir to: "!bat_redirect_destdir!"
				set bat_logdir=!bat_redirect_destdir!
				if not exist "!bat_logdir!" (
					md "!bat_logdir!"
				)

				set bat_logfile=!bat_logdir!\!bat_logfile_name!.log
				set bat_logfile_full=!bat_logdir!\AutoCams_full.log
			) else (
				!bat_log! ERROR [%~f0] - Destination log directory not specified
				goto :DONE
			)
		)
		

		!bat_log! Redirecting logs settings to: !bat_logdir!

		if not exist "!bat_logdir!" (
				!bat_logexeclog! md "!bat_logdir!"
		)

		!bat_pushlog! [a] Moving "%~dp0\Logs\*.*" to the new log dir [!bat_redirect_currentdir!]...
		!bat_log!     move  /y "%~dp0\Logs\*.*" "!bat_redirect_currentdir!"


			rem This weird construct is an IF/ELSE statement using
			rem "Conditional Execution"
!bat_logexeclog! dir "%~dp0Logs\*.*" /b /a-d
rem			(dir "%~dp0Logs\*.*" /b /a-d>nul: 2>&1 | findstr . >nul: 2>&1) && (
			(dir "%~dp0Logs\*.*" /b /a-d | findstr . >nul: 2>&1) && (
				rem  non-empty directory
				
				!bat_pushlog! ^(dir "%~dp0Logs\*.*" /b /a-d ^| findstr . ^) and ^(

				rem In this case, move all the files from the "CAMS\Logs" directory
				!bat_log! for /f "usebackq tokens=*" ..X in ^(`dir "%~dp0Logs\*.*" /b /a-d /on `^) do ^(
				for           /f "usebackq tokens=*" %%X in  (`dir "%~dp0Logs\*.*" /b /a-d /on `) do (
					!bat_log! !bat_logdir!\%%X

					rem If the target file already exists, then append it with this one...
					if exist "!bat_logdir!\%%X" (
						if /i "!bat_logdir!\%%X" neq "%~dp0Logs\%%X" (
							!bat_logexeclog! copy /y "!bat_redirect_currentdir!\%%X"+"%~dp0Logs\%%X" "!bat_redirect_currentdir!\%%X"

							if defined bat_logdir (
								if /i "%%X" neq "" (
									!bat_logexeclog! del /q "%~dp0Logs\%%X"
								) else (
									!bat_echolog! ERROR [%~f0] Dangerous command: del /q "%~dp0Logs\%%X
								)
							) else (
								!bat_echolog! ERROR [%~f0] Dangerous command: del /q "%~dp0Logs\%%X
							)
						)
					) else (
						!bat_logexeclog! move /y "%~dp0Logs\*.*" "!bat_redirect_currentdir!"
						!bat_log! Note: The [move /y "%~dp0Logs\*.*" "!bat_redirect_currentdir!"] header is missing due to logfile change
					)
					!bat_logexeclog! move /y "%~dp0Logs\*.*" "!bat_redirect_currentdir!"
				)

				!bat_poplog! ^)
			) || (
				rem  empty directory
				!bat_log! No files exist: "%~dp0Logs\*.*"
			)
		!bat_poplog!



		!bat_pushlog! [b] Moving "!bat_redirect_sourcedir!\*.*" to the new log dir [!bat_logdir!]... 
			!bat_log! move /y "!bat_redirect_sourcedir!\*.*" "!bat_logdir!"
			
		(dir "!bat_redirect_sourcedir!\*.*" /b /a-d >nul: 2>&1| findstr . >nul: 2>&1) && (
			rem  non-empty directory
			for /f "usebackq tokens=*" %%X in (`dir "!bat_redirect_sourcedir!\*.*" /b /a-d /on `) do (
				!bat_log! !bat_logdir!\%%X
				
				rem If the target file already exists, append it....
				if exist "!bat_logdir!\%%X" (
					if /i "!bat_logdir!\%%X" neq "!bat_redirect_sourcedir!\%%X" (
						!bat_logexeclog! copy "!bat_logdir!\%%X"+"!bat_redirect_sourcedir!\%%X" "!bat_logdir!\%%X"
						
						if defined bat_redirect_sourcedir (
							if /i "%%X" neq "" (
								!bat_logexeclog! del /q "!bat_redirect_sourcedir!\%%X"
							) else (
								!bat_echolog! ERROR [%~f0] Dangerous command: del /q "!bat_redirect_sourcedir!\%%X"
							)
						) else (
							!bat_echolog! ERROR [%~f0] Dangerous command: del /q "!bat_redirect_sourcedir!\%%X"
						)
					)
				) else (
					!bat_logexeclog! move /y "!bat_redirect_sourcedir!\*.*" "!bat_logdir!"
					!bat_log! Note: The [move /y "!bat_redirect_sourcedir!\*.*" "!bat_logdir!"] header is missing due to logfile change
					!bat_logexeclog! move /y "!bat_redirect_sourcedir!" "!bat_redirect!\Logs"
				)
				!bat_logexeclog! rd /q "!bat_redirect_sourcedir!"
			)
		) || (
			rem  empty directory
			!bat_log! No files exist: "!bat_redirect_sourcedir!\*.*"
		)
		!bat_poplog!


		set bat_redirect=&	rem delete the temporary variable

	!bat_poplog! [RETURN-RedirectLogs.bat] [bat_logdir=!bat_logdir!]
	!bat_log! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

rem !bat_pause!

goto :DONE

:HELP
	echo.%~0
	echo.
	echo.Usage: %~0 ^<date^> "^<new.log.dir^>"
	echo.
	echo.Example:
	echo.   %~0 2013_03_17_02_51_48 "C:\CAMS\SubmissionFiles\2013_03_17_02_51_48\213\Logs\2013_03_17_02_51_48"
	echo.
	echo.If date is missing, it will default to the "!CD!\Logs" directory. 
	echo.If the "^<new.log.dir^>" is missing, it will assume "!CD!\Logs\^<date_time^>". 
	echo.
	echo.If there are two arguments, it is assumed that it is running from the 
	echo.^<bat_submissionfilesdir^> and that the ^<bat_capturedtime^> variable is passed
	echo.as the first argument.  
	echo.
goto :DONE
	
:DONE
	set bat_redirect_sourcedir=
	set bat_redirect_destdir=
	set bat_redirect_currentdir=
exit /b 0