@echo off
setlocal ENABLEDELAYEDEXPANSION ENABLEEXTENSIONS


:SETUP
	set /a count=0
	set /a found=0
	echo %0 %date% %time%>"!bat_logfile!"

	echo rem %date% %time%>"%~dpn0.cleanup.bat"
	
	if "%~1" neq "" (
		set bat_startdir=%~1\
	)
	
:MAIN
	CALL :PROCESSDIR ConfirmedFiles
	call :PROCESSDIR ArchivedFiles
	call :PROCESSDIR CapturedFiles
goto :DONE


:PROCESSDIR
	title %0 !count!  `dir "!bat_startdir!*.bin" /s/b /a-d /on`  sorting... please wait...  [!time!]
	for /f "usebackq tokens=*" %%b in (`dir "!bat_startdir!*.bin" /s/b /a-d /on 2^>nul`) do (
		rem echo %%b
		set /a count+=1
		set bat_file=%%b
		set bat_size=%%~zb
		if /i "!bat_prev!" neq "%%~dpb" (
			set bat_prev=%%~dpb
			title %0 !count!   !bat_size!         !bat_file!
		)

		if !bat_size! neq 1228820 (
			set /a found+=1
			echo !found!.	!bat_size!      !bat_file!
			echo !found!.	!bat_size!      !bat_file!>>"Logs\%~nx0.log"
			call :SETDEL "%%~dpb" "%%~nxb" "%%~b"
		)
	)
goto :EOF


:SETDEL
	set bat_basepath=%~1
	set bat_filename=%~2
	set bat_targetdir=!bat_basepath!bad
	md "!bat_targetdir!"
	echo move /y "%~3" "!bat_targetdir!">>"%~dpn0.cleanup.bat"
GOTO :eof


:DONE
echo type "Logs\%~nx0.log"
type "Logs\%~nx0.log"
