@echo off
setlocal enableextensions enabledelayedexpansion

:SETUP
	set bat_targetdir=%~1
	set bat_outputfile=%bat_targetdir%\meteorcount.txt

:MAIN

	rem temporary concat to do fix the meteor count
:TEMPCONCAT
	set bat_string= &	rem "%bat_targetdir%\FTPdetectinfo_CaseHeader.txt"

	set /a bat_linecount=0
	for /f "usebackq tokens=*" %%a in (`dir "%bat_targetdir%\FTPdetectinfo_case???.txt" /s/b /a-d`) do (
		set /a bat_linecount+=1
		if "!bat_linecount!" equ "1" (
			set bat_string="%%~a"
		) else (
			set bat_string=!bat_string!+"%%~a"
		)
	)

	echo copy /y /b !bat_string! "%bat_targetdir%\FTPdetectinfo.txt"
	     copy /y /b !bat_string! "%bat_targetdir%\FTPdetectinfo.txt"

	rem Save the meteor count into bat_count	
:GETMETEORCOUNT
	for /f "usebackq tokens=1-4" %%a in (`find /i /c ".bin" "%bat_targetdir%\FTPdetectinfo.txt"`) do (
		set bat_count=%%c
	)

	set bat_count=000000!bat_count!
	set bat_count=!bat_count:~-6!


	rem Read the FTPdetectinfo_CaseHeader.txt and capture the first 11 lines
:REBUILDHEADER
	set /a bat_linecount=0
	for /f "usebackq tokens=*" %%a in (`type "%bat_targetdir%\FTPdetectinfo_CaseHeader.txt"`) do (
		set /a bat_linecount+=1
		rem echo %a >>"!bat_outputfile!"
		if "!bat_linecount!" equ "1" (
			echo Meteor Count = !bat_count!>"!bat_outputfile!"
			echo Meteor Count = !bat_count!
		) else (
			echo ---------!bat_linecount! ----%bat_outputfile%----%%a
			echo %%a >>"%bat_outputfile%"
		)
	)

:CONCATFINAL
	echo copy /y /b "!bat_outputfile!"+!bat_string! "!bat_targetdir!\FTPdetectinfo.txt"
	     copy /y /b "!bat_outputfile!"+!bat_string! "!bat_targetdir!\FTPdetectinfo.txt"

:DONE
set bat_
